### Enumeration

# WebKit NavigationType

unstable since: 6.0

#### Declaration

    enum WebKit.NavigationType

#### Description [src]

Enum values used to denote the various navigation types.

Available since: 6.0

#### Members

`WEBKIT_NAVIGATION_TYPE_LINK_CLICKED`

  The navigation was triggered by clicking a link.

  - Value: `0`
  - Nickname: `link-clicked`
  - Available since: 6.0
`WEBKIT_NAVIGATION_TYPE_FORM_SUBMITTED`

  The navigation was triggered by submitting a form.

  - Value: `1`
  - Nickname: `form-submitted`
  - Available since: 6.0
`WEBKIT_NAVIGATION_TYPE_BACK_FORWARD`

  The navigation was triggered by navigating forward or backward.

  - Value: `2`
  - Nickname: `back-forward`
  - Available since: 6.0
`WEBKIT_NAVIGATION_TYPE_RELOAD`

  The navigation was triggered by reloading.

  - Value: `3`
  - Nickname: `reload`
  - Available since: 6.0
`WEBKIT_NAVIGATION_TYPE_FORM_RESUBMITTED`

  The navigation was triggered by resubmitting a form.

  - Value: `4`
  - Nickname: `form-resubmitted`
  - Available since: 6.0
`WEBKIT_NAVIGATION_TYPE_OTHER`

  The navigation was triggered by some other action.

  - Value: `5`
  - Nickname: `other`
  - Available since: 6.0